View a markdown version of this page

ListDatasetExportJobs - AWS IoT SiteWise

ListDatasetExportJobs

Retrieves a paginated list of dataset export jobs for a workspace.

Request Syntax

GET /workspaces/workspaceName/dataset-export-jobs?filter=filter&maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

filter

The optional filter that returns only jobs matching the given filter value. Defaults to ALL.

Valid Values: ALL | SUBMITTED | RUNNING | COMPLETED | COMPLETED_WITH_ERRORS | FAILED

maxResults

The maximum number of results to return for each paginated request.

Valid Range: Minimum value of 1. Maximum value of 250.

nextToken

The token to be used for the next set of paginated results.

Length Constraints: Minimum length of 1. Maximum length of 4096.

workspaceName

The name of the workspace whose dataset export jobs should be listed.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "jobs": [ { "completedAt": number, "destinationS3Uri": "string", "jobId": "string", "startedAt": number, "status": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

jobs

A list of dataset export job summaries.

Type: Array of ExportJobSummary objects

nextToken

The token for the next set of results, or null if there are no additional results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access is denied.

HTTP Status Code: 403

InternalFailureException

AWS IoT SiteWise can't process your request right now. Try again later.

HTTP Status Code: 500

InvalidRequestException

The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource can't be found.

HTTP Status Code: 404

ThrottlingException

Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.

For more information, see Quotas in the AWS IoT SiteWise User Guide.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: